<script>
    var requireJS = [];
    loadJS(requireJS, '/js/common.js');
    loadCSS('css/flags/flags.min.css');
    loadJS(requireJS, '/js/views/destination.js');
</script>
<div class="container-fluid" xmlns:th="http://www.thymeleaf.org">
    <div class="row">
        <div class="col-lg-12">
            <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">
                <div class="col-lg-1">
                    <h4 class="mb-0 text-gray-800" th:text="#{main.search.title}">Search</h4>
                </div>
                <div class="col-lg-10">
                    <!-- Topbar Search -->
                    <form class="form-inline" th:action="@{/views/servicesListPricesDestination}">
                        <input type="text" class="form-control form-control-sm" name="q" id="q" placeholder=""/>

                        &nbsp;
                        <label th:text="#{main.search.from}">From:</label>
                        &nbsp;
                        <input type="date" class="form-control form-control-sm" name="dateFrom" id="dateFrom"/>

                        &nbsp;
                        <label th:text="#{main.search.to}">To:</label>
                        &nbsp;
                        <input type="date" class="form-control form-control-sm" name="dateTo" id="dateTo"/>

                        &nbsp;
                        <button class="btn btn-sm btn-primary" id="search-button-destination" type="submit"><i
                                class="fas fa-search fa-sm"></i>
                        </button>
                    </form>
                </div>
                <div class="col-lg-1">

                    <div class="dropdown">
                        <button class="btn btn-sm dropdown-toggle" type="button" id="dropdownMenuButton"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"
                                th:text="#{main.actions}">
                            Actions
                        </button>
                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                            <a class="dropdown-item-text action-button" href="#" id="crear-lista-precio"
                               th:text="#{view.price.list.createPriceList}">Create Price List</a>
                        </div>
                    </div>

                </div>
            </nav>
        </div>
    </div>
    <div class="container-fluid">
        <div class="row">

            <div class="col-lg-12">
                <h1 class="page-header" th:text="#{view.price.list.title}">Price List</h1>
            </div>
            <div class="col-lg-12">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <div class="table-responsive">
                            <table class="table table-striped">
                                <thead class="thead-light">
                                <tr>
                                    <th th:text="#{view.list.id}">Id</th>
                                    <th th:text="#{view.price.list.name}">Name</th>
                                    <th th:text="#{view.price.list.description}">Description</th>
                                    <th th:text="#{view.price.list.validFrom}">Valid_From</th>
                                    <th th:text="#{view.price.list.validTo}">Valid_To</th>
                                    <th th:text="#{view.price.list.active}">Active</th>
                                    <th><i class="fas fa-cogs fa-sm fa-fw"></i></th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="item : ${item}">
                                    <td th:text="${item.id}"></td>
                                    <td th:text="${item.name}"></td>
                                    <td th:text="${item.description}"></td>
                                    <td th:text="${item.validFrom}"></td>
                                    <td th:text="${item.validTo}"></td>
                                    <td th:text="${item.active}"></td>
                                    <td>
                                        <div class="dropdown no-arrow">
                                            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink"
                                               data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                <i class="fas fa-cogs fa-sm fa-fw"></i>
                                            </a>
                                            <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in"
                                                 aria-labelledby="dropdownMenuLink" x-placement="bottom-end">
                                                <div class="dropdown-header"></div>
                                                <a class="dropdown-item action-button" href="#" id="edit-price-list"
                                                   th:value="${item.description}"
                                                   th:attr="data-id=${item.id},data-name=${item.name}"
                                                   th:text="#{list.price.edit}">Edit</a>
                                                <a class="dropdown-item action-button" th:type="submit" href="#"
                                                   id="delete-list-price" th:value="${item.description}"
                                                   th:attr="data-id=${item.id},data-name=${item.name}"
                                                   th:text="#{list.price.remove}"onclick="return confirm('Estas seguro que quieres eliminar ?')">Remove</a>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                            <div th:replace="html/frags/pagination :: paginationbar"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>